Read contacts

Retrieves contacts accessible to the authenticated API user.

Supports several mutually exclusive lookup parameters.
The first matching parameter in the following order is used:

  1. contact_id
  2. contact_email
  3. contact_phone_or_mobile

If none of these parameters are supplied, the endpoint returns
a paginated list of all contacts accessible to the authenticated
user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
≥ 1

Optional client ID to scope the read to a specific client.
This is only used when the authenticated API key has access
to that client.

int64
≥ 1

Retrieve a single contact by its ID.

string

Retrieve contacts matching the exact email address.

string

Retrieve a single contact whose contact_mobile or contact_phone
matches the supplied value. Only the first matching row is
returned.

integer
≥ 0
Defaults to 50

Maximum number of records returned for collection queries.
Defaults to 50.

integer
≥ 0
Defaults to 0

Number of records to skip for collection queries.
Defaults to 0.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json